@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;600;700&display=swap');


body {
  font-family: 'Rubik', sans-serif;
  background-color: #f3f3f3;
  overflow-x: hidden;
  width: 100%;
}


/* For rememoving input number field spinner */
.no-spinner {
  -moz-appearance: textfield;
}

.no-spinner::-webkit-outer-spin-button,
.no-spinner::-webkit-inner-spin-button {
  margin: 0;
  -webkit-appearance: none;
}
/* Select 2 width */
.select2-container {
  width: 100% !important;
}

/* Side quick bar menu icon */
.menu-logo-icon {
  height: 24px;
  width: 24px;
}

/* Sidebar accordion */
.accordion {
  list-style: none;
  padding: 0;
}

.accordion .inner {
  overflow: hidden;
  display: none;
}

.accordion li a.v7MenuToggle {
  width: 100%;
  display: block;
  transition: background .3s ease;
}

.submenu-line {
  position: relative !important;
}

.submenu-line::before{
  height: calc(100% - 7px);
  position: absolute;
  content: "";
  width: 1px;
  background: rgba(82, 82, 108, 0.4);
  top: -10px;
  left: 24px;
}

.submenu-line li a:after {
  position: absolute;
  content: "";
  top: 49%;
  width: 8px;
  left: -15px;
  border-top: 1px solid rgba(82, 82, 108, 0.4);
}

.level-two-menu a::after {
  border-top: 0 !important;
}

/* Scrollbar */
.scrollbar::-webkit-scrollbar {
  display: none;
}


body::-webkit-scrollbar {
  width: 5px;
  background-color: #F5F5F5;
}

body::-webkit-scrollbar-thumb {
  background-color: rgb(79 70 229 / 1);
}

/*When accordion is active state  */
.accordion .parent.active {
  background-color: #F4F5FB;
  color:#333333;
  border-right: 2px solid #707DCB;
}

.accordion .parent.active .rotate-icon,
.inner .v7MenuToggle.active .rotate-icon {
  transform: rotate(90deg);
}

.inner .v7MenuToggle.active {
  background-color: #707DCB !important;
  color: #707DCB !important;
  border-right: 0 !important;
}

/* For tabs */
.tab-content {
  display: none;
}

.tab-content.active {
  display: block;
}

ul li button {
  font-weight: 400 !important;
}
ul li button[aria-selected="false"]:not(:has(span)),
ul li button[aria-selected="true"]:not(:has(span)){
  padding: 8px 32px !important;
}

ul li button[aria-selected="false"],
ul li button[aria-selected="false"]:hover{
  border-radius: 4px;
  color: #707DCB;
border: 1px solid #707DCB;
}
ul li button[aria-selected="true"] {
  background-color: #707DCB!important;
  color: #fff !important;
}

#table-tab li button[aria-selected="true"] {
  background-color: #fff !important;
  color: #000 !important;
}

#table-tab li button[aria-selected="false"] {
  color: #fff !important;
}
/* Underline tab */
ul.tabBorder li button[aria-selected="true"] {
  background-color: transparent !important;
  border-bottom:2px solid #707DCB !important;
  color: #707DCB !important;
  font-weight: 500 !important;
  border-top:none !important;
  border-left:none !important;
  border-right:none !important;
  padding: 8px 2px !important;
  
}
ul.tabBorder li button[aria-selected="false"]{
  border: none !important;
  padding: 8px 2px !important;
}
/* Whatsapp tabs */
#chat-tab li button[aria-selected="true"] {
  background-color: transparent !important;
  border-bottom: 2px solid #fff !important;
  /* padding-bottom: 10px; */
  font-size: 14px !important;
  color: #fff !important;
}

#chat-tab li button {
  color: #BEBEBE !important;
  font-size: 14px !important;
  padding-bottom: 10px; 
}

/* Data table  style override*/
.dataTables_length,
.dataTables_filter {
  margin-bottom: 1rem;
  padding-top: 10px;
  padding-right: 2px;

}

.dataTables_length select:not([size]) {
  padding-right: 2.5rem !important;
}



/* Validation */
input.error,
input.error:focus,
select.error,
select.error:focus {
  border: 1px solid red;
}

.error {
  color: #ff0000;
  font-weight: normal;
  font-size: 14px;
}

input.valid,
input.valid:focus,
select.valid,
select.valid:focus {
  border: 1px solid #468847;
}

.check-input {
  position: relative;
}

.align-label {
  position: absolute;
  top: 4px;
  left: 20px;
}

div.error {
  margin-top: 10px;
}

/* page top border image */
body::before {
  content: '';
  display: inline-block;
  background: url(https://v7.shystats.com/assets/images/border-line.png);
  width: 100%;
  height: 2px;
  position: fixed;
  z-index: 21;
}


/* Table */
table.dataTable,
table {
  font-family: 'Rubik', sans-serif;
  font-weight: 300;
  border-collapse: collapse;
  border-style: hidden;
}




.select2-container .select2-search--inline .select2-search__field {
  margin: 0;
  padding: 0.25rem;
  height: 12px;
  font-size: 12px !important;
  width: unset !important;
}

.select2-search__field::placeholder {
  font-size: 12px;
}

.select2-container--default .select2-search--inline .select2-search__field {
  margin-top: 2px !important;
  margin-bottom: 3px !important;
}

.select2-container--default .select2-selection--multiple {
  padding-bottom: 0px !important;
  padding-right: 0px !important;
  border: solid #D1D5DB 1px !important;
  display: grid !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
  font-size: 12px !important;
  margin-top: 6px !important;
  margin-bottom: 2px !important;
  text-wrap: wrap;
}

.select2-container--default .select2-selection--multiple .select2-selection__clear {
  margin-top: 4px !important;
  margin-right: 0px !important;
}

.select2-results__option--selectable {
  font-size: 12px;
}

.select2-results__option {

  font-size: 12px !important;
}

/* Selected tags style */
.select2-container--default .select2-selection--multiple .select2-selection__choice {
  padding-right: 4px !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
  background-color: #EDE9FE !important;
  border: 1px solid #4F46E5 !important;
}



#validate-employee .error {
  text-wrap: nowrap;
  margin-top: 0px;
  margin-left: 10px;
}

.multiselectError .error {
  order: 1;
}

.select2.valid {
  border: 1px solid #468847 !important;
}


.select2-results__option {
  padding-right: 20px;
  vertical-align: middle;
}

.select2-results__option:before {
  content: "";
  display: inline-block;
  position: relative;
  height: 18px;
  width: 18px;
  border: 2px solid #e9e9e9;
  border-radius: 4px;
  background-color: #fff;
  margin-right: 8px;
  vertical-align: middle;
}

.select2-results__option[aria-selected=true]:before {
  content: "✔";
  color: #fff;
  background-color: #4F46E5;
  border: 0;
  display: inline-block;
  padding-left: 3px;
}

.select2-container--default .select2-results__option[aria-selected=true] {
  background-color: #fff;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
  background-color: #EDE9FE !important;
  color: #272727 !important;
}

.select2-container--default .select2-results__option[aria-selected=true] {
  background-color: #EDE9FE !important;
}

.select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple {
  border-radius: 4px;
}

.select2-container--open .select2-dropdown--below {
  box-shadow: 0px 1px 2px 2px rgba(204, 204, 204, 0.25);

}


/* select with icons badges single*/
.select-icon .select2-selection__placeholder .badge {
  display: none;
}

.select-icon .placeholder {
  display: none;
}

.select-icon .select2-results__option:before,
.select-icon .select2-results__option[aria-selected=true]:before {
  display: none !important;
}

.select-icon .select2-search--dropdown {
  display: none;
}

/* =================Whatsapp Style============== */
/* ------ FONTS ------ */
.font-name {
  color: #000000;
  font-size: 1em;
  font-weight: inherit;
  padding-bottom: 3px;
}

.font-preview {
  color: #444444;
  font-size: 0.9em;
  font-weight: inherit;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.font-online {
  color: #777777;
  font-size: 0.8em;
  font-weight: inherit;
}


.whatsapp-wrap {
  display: flex;
  height: 100vh;
  width: 100%;
  overflow: hidden;
  box-shadow: 0 2px 2px #aaaaaa;
}

/* ------ LEFT SIDE ------ */
.left {
  width: 400px;
}

.wrap-search {
  width: 100%;
  height: 45px;
  background: #fbfbfb;
  display: flex;
}

.contact-list {
  background-color: #ffffff;
  width: 100%;
  height: calc(100% - 105px);
  overflow-y: auto;
}

.contact,
.active-contact,
.new-message-contact {
  height: 80px;
  background-color: #ffffff;
  display: flex;
  align-items: center;
}

.contact img,
.active-contact img,
.new-message-contact img {
  width: 50px;
  height: 50px;
  margin: 10px;
  border-radius: 50%;
}

.active-contact {
  background-color: #ebebeb;
}

.contact:hover,
.new-message-contact:hover {
  background-color: #f5f5f5;
}

.new-message-contact {
  font-weight: bold;
}

.contact-preview {
  width: 100%;
  height: 80px;
  border-bottom: 1px solid #eeeeee;
  display: flex;
  overflow: hidden;
}

.contact-text {
  height: 40px;
  /* margin: 12px 0; */
}

.contact-time {
  color: rgba(0, 0, 0, 0.4);
  font-size: 0.8em;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 20px 0px 20px 10px;
  height: 80px;
  border-bottom: 1px solid #eeeeee;
}

.new-message {
  background: #09d261;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  display: flex;
  margin: auto;
  flex-direction: column;
  color: white;
}

.new-message p {
  margin: auto;
}

/* ------ RIGHT SIDE ------ */
.right {
  min-width: calc(100% - 400px);
  width: calc(100% - 400px);
}

.show_chat_section {
  background-image: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/1089577/background.png);
  width: 100%;
}


.chat-head {
  background-color: #fff;
  width: 100%;
  display: flex;
  padding: 11px 26px 11px 10px;
}

.chat-head img {
  width: 40px;
  height: 40px;
  margin: 10px;
  border-radius: 50%;
}

.chat-head i {
  color: #aaaaaa;
  width: 60px;
  margin: auto;
  text-align: center;
}

#close-contact-information {
  display: none;
}

.chat-name {
  width: 100%;
  margin: auto;
}

.wrap-chat {
  height: calc(100% - 120px);
  display: flex;
}

.chat {
  width: 100%;
  padding: 0px 40px;
  padding-top: 7px;
  overflow-y: auto;
}

.information {
  width: 100%;
  position: relative;
  background: #f7f7f7;
  display: none;
  flex-direction: column;
  overflow: auto;
}

.information div {
  background: #ffffff;
  padding: 10px;
  margin-bottom: 20px;
}

.information img {
  width: 200px;
  height: 200px;
  margin: 20px auto;
  border-radius: 50%;
  float: left;
}

.information h1 {
  color: #009688;
  font-size: 14px;
  margin-bottom: 5px;
}

.listGroups {
  display: flex;
  margin: 0px !important;
}

.listGroups img {
  width: 40px;
  height: 40px;
  margin: 0px 10px 0px 0px;
}

.listGroups p {
  margin: auto 0px;
}

/* ------ CHAT ------ */
.content-card{
  background-color: #fff;
  border-radius: 15px;
  box-shadow: 0px 1px 2px 2px rgba(204, 204, 204, 0.25);
  padding: 15px 24px;
  width: fit-content;
  position: relative;
  overflow-wrap: break-word;
  overflow-x:scroll;
}
.content-card::-webkit-scrollbar {
  display: none;
}

.whatsapp_user{
  width: 39px;
  height: 38px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
 /* background-color: rgb(79 70 229 / 1); */
 background-color:#818CF8;
 color: #fff;
}
.chat-bubble {
  /* border-radius: 15px;
  box-shadow: 0px 1px 2px 2px rgba(204, 204, 204, 0.25);
  padding: 7px 24px;
  width: fit-content;
  max-width: 70%;
  position: relative;
  overflow-wrap: break-word; */
}

.you {
  /* background: #ffffff; */
  margin: 0px auto 10px 0px;
}

.me {
  margin: 0px 0px 10px auto;
}

.content {
  line-height: 120%;
  font-size: 0.9em;
}

.content img {
  width: 100%;
}

.time {
  color: #7E7E7E;
  font-size: 12px;
  margin-top: -8px;
}


.wrap-message {
  width: 100%;
  height: 60px;
  display: flex;
}

.message {
  width: 100%;
  height: 45px;
  margin: auto;
  border-radius: 5px;
  display: flex;
}

.input-message {
  width: 100%;
  margin: 0px 10px;
}


.messageBox {
  padding: 0 40px;
}

@media screen and (max-width:600px) {
  .messageBox {
    padding: 0 10px;
  }
}

/* ------ MEDIA QUERIES ------ */

@media (max-width: 600px) {
  .wrap {
    height: calc(100vh - 0.4em);
  }
}

@media screen and (max-width:767px) {

  .left,
  .right {
    width: 100% !important;
  }

  .show_chat_section {
    background-color: #FFF;
  }
}

@media screen and (min-width:640px) and (max-width:991px) {
  .left {
    width: 250px;
  }

  .right {
    width: calc(100% - 250px);
  }

  .font-preview,
  .font-name,
  .content {
    font-size: 12px;
  }

  .time {
    font-size: 10px;
  }

  .contact img,
  .active-contact img,
  .new-message-contact img {
    width: 40px;
    height: 40px;
    margin: 10px;
    border-radius: 50%;
  }

  .chat,
  .messageBox {
    padding: 0px 20px;
  }
}



/*============= Toast ====================*/
.hs-toast-fixed-top {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 30px;
  margin-left: auto;
  margin-right: auto;
  z-index: 1000;
}



.hs-toast-wrapper {
  margin: 0 auto;
  max-width: 20rem;
  padding-left: .75rem;
  padding-right: .75rem;
}

.hs-toast {
  margin: 0 auto;
  border-radius: .25rem;
  box-shadow: 0 .2rem .5rem rgba(0, 0, 0, .2);
  background: #5b7e96;
  padding: .5rem .75rem;
  max-width: 40rem;
  position: relative;
}

.hs-toast-inner {
  display: flex;
}

.hs-toast-msg {
  font-size: 14px;
  color: white;
  line-height: 1.5rem;
  flex: 1 1 0%;
  min-width: 0;
  padding-top: .2rem;
  padding-left: .5rem;
  padding-right: .75rem;
  overflow-wrap: break-word;
  word-wrap: break-word;
  -webkit-hyphens: auto;
  -ms-hyphens: auto;
  hyphens: auto;
}

.hs-toast-msg ul {
  margin: 0;
  padding-left: .75rem;
}

.hs-toast-icons,
.hs-toast-action {
  flex: none;
  color: white;
}

.hs-toast-action {
  cursor: pointer;
}

.hs-close {
  border: none;
  background: none;
  color: white;
  outline: none;
  padding: 0;
  font-family: 'Arial', Segoe UI Symbol;
}

.hs-toast+.hs-toast {
  margin-top: .5rem;
}

.hs-theme-error {
  background: #fe4a5d;
}

.hs-theme-success {
  background: #00c18c;
}

.hs-theme-warning {
  background: #F2711C;
}